# Generated from rabbit-slide-kou-db-tech-showcase-tokyo-2017-2017.9.7.1.gem by gem2rpm -*- rpm-spec -*-
%global gem_name rabbit-slide-kou-db-tech-showcase-tokyo-2017

Name: rubygem-%{gem_name}
Version: 2017.9.7.1
Release: 1%{?dist}
Summary: MySQL・PostgreSQLだけで作る高速でリッチな全文検索システム
License: CC-BY-SA-4.0 and CC-BY-3.0
URL: http://slide.rabbit-shocker.org/authors/kou/db-tech-showcase-tokyo-2017/
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
BuildArch: noarch

%description
MySQLとPostgreSQLの全文検索機能は高速でリッチな全文検索システムを作るには機能・性能不足です。外部の全文検索サービスを利用することでそんなシステムを作れますが、複数の場所で同じデータを管理するためシステムの開発と運用が複雑になります。MySQL・PostgreSQLだけで作れれば…そこでMroonga・PGroongaです。Mroonga・PGroongaを使ってMySQL・PostgreSQLだけで高速でリッチな全文検索システムを作る方法を紹介します。.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%{gem_instdir}/.rabbit
%{gem_instdir}/config.yaml
%{gem_instdir}/images
%{gem_instdir}/mysql-postgresql-rich-full-text-search-system.rab
%{gem_instdir}/pdf
%{gem_instdir}/theme.rb
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README.rd
%{gem_instdir}/Rakefile

%changelog
* Wed Apr 20 2022 mockbuilder - 2017.9.7.1-1
- Initial package
